aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorGerald Combs <gerald@wireshark.org>2010-04-09 21:42:51 +0000
committerGerald Combs <gerald@wireshark.org>2010-04-09 21:42:51 +0000
commit6cd62e9e65db7dedae8c612da612900546010ae3 (patch)
treecc3e3ef8350cd6d5ca628e0131c1b7ea23925595 /tools
parent151c0fbfa1fe7a7a93a60175e408ef62dd244c1d (diff)
Rename README.win32 to README.windows and add a 64-bit download link.
Add tools/textify.sh, which makes a Notepad-clickable copy of a text file. Use it for COPYING, NEWS, README, README.windows, and help/*.txt. Remove tools/unix2dos.pl and use Cygwin's u2d instead. svn path=/trunk/; revision=32440
Diffstat (limited to 'tools')
-rwxr-xr-xtools/textify.sh50
-rwxr-xr-xtools/unix2dos.pl36
2 files changed, 50 insertions, 36 deletions
diff --git a/tools/textify.sh b/tools/textify.sh
new file mode 100755
index 0000000000..b9a7e7ecd0
--- /dev/null
+++ b/tools/textify.sh
@@ -0,0 +1,50 @@
+#!/bin/bash
+#
+# $Id$
+#
+# Text file conversion script for packaging on Windows
+#
+# This script copies a text file from a source to a destination,
+# converting line endings and adding a ".txt" filename extension
+# if needed. If the destination is a directory the source file
+# name is used. Newer files will not be overwritten.
+#
+# The destination file should be double-clickable and usable
+# when Notepad is the default editor.
+
+SRC="$1"
+DST="$2"
+
+err_exit () {
+ for str in "$@" ; do
+ echo "ERROR: $str"
+ done
+ echo "Usage:"
+ echo " $0 <source file> <destination file>"
+ echo ""
+ exit 1
+}
+
+if [ -z "$SRC" -o -z "$DST" ] ; then
+ err_exit
+fi
+
+if [ ! -r "$SRC" ] ; then
+ err_exit "Can't read $SRC"
+fi
+
+if [ -f "$DST" -a "$DST" -nt "SRC" ]; then
+ exit 0
+fi
+
+if [ -d "$DST" ] ; then
+ DSTBASE=`basename "$SRC" txt`
+ DST="$DST/$DSTBASE.txt"
+else
+ DSTDIR=`dirname "$DST"`
+ DSTBASE=`basename "$DST" txt`
+ DST="$DSTDIR/$DSTBASE.txt"
+fi
+
+cp "$SRC" "$DST"
+u2d "$DST" \ No newline at end of file
diff --git a/tools/unix2dos.pl b/tools/unix2dos.pl
deleted file mode 100755
index 9af4ffb6df..0000000000
--- a/tools/unix2dos.pl
+++ /dev/null
@@ -1,36 +0,0 @@
-#!/usr/bin/perl -w
-#
-# unix2dos.pl - convert UNIX line endings (\n) in DOS line endings (\r\n)
-#
-# $Id$
-#
-# Copyright (c) 2004, Olivier Biot
-#
-# Wireshark - Network traffic analyzer
-# By Gerald Combs <gerald@wireshark.org>
-# Copyright 1998 Gerald Combs
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License
-# as published by the Free Software Foundation; either version 2
-# of the License, or (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-
-use strict;
-use warnings;
-
-while (<STDIN>) {
- if($_ !~ /\r\n/) {
- $_ =~ s/\n/\r\n/;
- }
- print $_;
-}
-1;